System.ServiceModel 4.0.0.0 System.ServiceModel.ICommunicationObject

The interface represents the base interface for channel listeners.

Channel listeners and their associated channels are generally used by services that receive communications initiated by clients. Channel factories that implement the interface, by contrast, provide the mechanisms used to create the channels through which communication with a service is initiated.

Defines the interface that must be implemented by a channel listener to accept channels.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  Begins an asynchronous operation to wait for a channel to arrive that must be completed within a specified interval of time.

  The that references the asynchronous wait for a channel operation.

  The that specifies how long the wait for a channel operation has to complete before timing out. The delegate that receives the notification of the asynchronous completion of the wait for a channel operation. An object, specified by the application, that contains state information associated with the asynchronous wait for a channel operation.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Completes an asynchronous operation to wait for channels to arrive.

  true if a message arrived; otherwise false.

  The returned by a call to the method.
- Method
  4.0.0.0
  T ReferenceTypeConstraint

  Use this method to request a typed object such as an interface for setting properties or getting status from the appropriate layer in the channel stack. If a layer supports returning the requested object, it returns it. If not, it delegates the call down to the next layer in the stack. If it gets to the bottom of the stack and no channel layer supported the requested object, then the method returns null.

  Returns a typed object requested, if present, from the appropriate layer in the channel stack.

  The typed object requested, if it is present or null if it is not.

  The typed object for which the method is querying.
- Property
  4.0.0.0
  System.Uri To be added.

  This URI represents the transport address on which the is listening for messages.

  Gets the URI on which the listeners that are generated by the factory listen.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Waits for a channel to arrive.

  true if a channel arrived before the interval of time specified by the ; otherwise false.

  The that specifies how long the wait for a channel operation has to complete before timing out.